
Redmine - Patch #26091

Allow to filter by any visible version on the global issues view

2017-06-02 17:52 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Currently, the global issues view only allows to filter by system-shared versions but not e.g. for versions shared to some projects or

not stared at all.

Since the global issue view is often used as a quick filter to check what is happening in all projects, filtering by any visible version

would allow to drill down from there instead of having to first select the correct parent project and then starting the filter there. Also,

with saved shared queries, a common starting point is the global issue view instead of individual projects.

The attached patch removes the restriction to only allow filtering by system-shared versions. Instead, it allows filtering by any version

visible to the current user.

Related issues:

Related to Redmine - Defect #26023: Category filter only shows categories of ... New

Related to Redmine - Defect #3869: Filter using Target Version loses 'Target ... Closed 2009-09-15

Associated revisions

Revision 17421 - 2018-06-28 02:49 - Go MAEDA

Allow to filter by all versions on the global issue list (#26091).

Patch by Holger Just.

Revision 17424 - 2018-06-29 09:11 - Go MAEDA

Test for r17421 (#26091).

Patch by Marius BALTEANU.

Revision 17425 - 2018-06-30 02:24 - Go MAEDA

Changed test name (#26091).

Patch by Marius BALTEANU.

History

#1 - 2017-06-09 09:13 - Mischa The Evil

- Target version set to Unplanned backlogs

I find this a nice addition indeed. Setting target to unplanned.

#2 - 2017-06-12 23:44 - Holger Just

As for the rationale, this patch implements the same behavior as for custom fields (in #25501) and for categories (in #26023).

#3 - 2017-06-15 12:03 - Go MAEDA

The proposed behavior is also consistent with #24769 (user type custom field).

#4 - 2017-06-16 09:36 - Go MAEDA

Mischa The Evil wrote:

I find this a nice addition indeed. Setting target to unplanned.
 I think we can merge this patch right now. Mischa, what do you think about setting target version to 3.4.0? Is it OK with you?

#5 - 2017-06-16 09:52 - Marius BĂLTEANU

Go MAEDA wrote:

Mischa The Evil wrote:

I find this a nice addition indeed. Setting target to unplanned.

 I think we can merge this patch right now. Mischa, what do you think about setting target version to 3.4.0? Is it OK with you?

 My two cents:

I'm in favor to set the version:3.5.0 in order to have the 3.4.0 released as soon as possible.

#6 - 2017-06-16 10:56 - Robert Schneider

My two cents:

I'm in favor to set the version:3.5.0 in order to have the 3.4.0 released as soon as possible.

 Oh, yes please! Good idea. 3.4.0 matured enough. I have started a discussion about that Why don't you just release 3.4.0? since we are waiting so

long now.

My two cents. Total now: 4 cents ;-)

#7 - 2017-06-16 11:10 - Holger Just

Not to spoil anything here, but this patch here won't result in any delay in getting 3.4.0 released. It is a tiny patch which helps resolve (together with 

#24769, #25501 and #26023) some inconsistencies in the way the global filters work. It takes about 5 minutes of work to merge (and backport) this

and several of the other already assigned patches.

In general, there's no gain from having tiny patches wait for the next release. Instead, the release is (probably) only delayed by the larger open issues

which still take some thinking, or review plus whatever JPL already has in his sleeves.

#8 - 2017-06-16 15:44 - Robert Schneider

Holger, I'm happy about any new Redmine feature! If it's really such a small task applying that patch, then they should do it. I'm just a bit afraid that

there is actually more to do. Already the communication here has to be done, thinking about it, creating a test, ... There should be a point where new

things get added to the next version, otherwise 3.4.0 might be released next year ;-) Now I shut up.

#9 - 2017-06-26 14:46 - Go MAEDA

- Category set to Issues filter

#10 - 2017-07-13 17:37 - Toshi MARUYAMA

- Related to Defect #26023: Category filter only shows categories of current project added

#11 - 2017-07-15 09:40 - Go MAEDA

- Target version changed from Unplanned backlogs to 4.1.0

As mentioned in #26091#note-2 and #26091#note-3, the behaviour of this patch is consistent with #25501 and #24769. They were already delivered

in 3.4.0.

I am setting target version to 4.1.0.

#12 - 2018-06-28 02:50 - Go MAEDA

- Status changed from New to Closed

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for improving Redmine.

#13 - 2018-06-28 14:55 - Marius BĂLTEANU

- Status changed from Closed to Reopened

- Assignee set to Marius BĂLTEANU
I'm reopening and assigning this to me because I would like to add a test for this feature.

#14 - 2018-06-29 07:39 - Marius BĂLTEANU

- File test_for_26091 added

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Here is the updated test.

#15 - 2018-06-29 07:40 - Marius BĂLTEANU

- File deleted (test_for_26091)

#16 - 2018-06-29 07:40 - Marius BĂLTEANU

- File test_for_26091.patch added

#17 - 2018-06-29 07:40 - Marius BĂLTEANU

- File deleted (test_for_26091.patch)

#18 - 2018-06-29 07:41 - Marius BĂLTEANU

- File test_for_26091.patch added

#19 - 2018-06-29 09:10 - Marius BĂLTEANU

- File deleted (test_for_26091.patch)

#20 - 2018-06-29 09:10 - Marius BĂLTEANU

- File test_for_26091.patch added

Better test name.

#21 - 2018-06-29 09:19 - Go MAEDA

- Assignee changed from Go MAEDA to Marius BĂLTEANU

Marius BALTEANU wrote:

Better test name.

 Sorry, I have committed the previous patch. Do you think I should change the test name?

#22 - 2018-06-29 09:23 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

Better test name.

 Sorry, I have committed the previous patch. Do you think I should change the test name?

 I think the new name of the test reflects better what is tested inside it. Also, we should remove the blank line from the end of the test (line 628).

Me sorry because I didn't pay enough attention when I've updated the patch.

#23 - 2018-06-29 12:31 - Marius BĂLTEANU

- Assignee changed from Marius BĂLTEANU to Go MAEDA

#24 - 2018-06-30 02:25 - Go MAEDA

- Status changed from Reopened to Closed

Committed. Thank you all for the contribution.
#25 - 2018-07-01 09:09 - Marius BĂLTEANU

- Related to Defect #3869: Filter using Target Version loses 'Target Version' part of the filter when applied across all tickets. added

Files

0001-Allow-to-filter-by-all-versions-on-the-global-issue-.patch 829 Bytes 2017-06-02 Holger Just

test_for_26091.patch 1.52 KB 2018-06-29 Marius BĂLTEANU
